Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DynamicC.cpp File Reference

`#include "DynamicC.h"`
`#include "tao/StringSeqC.h"`
`#include "DynamicC.i"`

Include dependency graph for DynamicC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMIC_PARAMETERLIST_CS_
#define | _DYNAMIC_PARAMETERLIST_CS_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMIC_EXCEPTIONLIST_CS_
#define | _DYNAMIC_EXCEPTIONLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_Dynamic_Parameter ( CORBA::tk_struct, sizeof (_oc_Dynamic_Parameter), (char *) &_oc_Dynamic_Parameter, 0, sizeof (Dynamic::Parameter) )
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ParameterList ( CORBA::tk_alias, sizeof (_oc_Dynamic_ParameterList), (char *) &_oc_Dynamic_ParameterList, 0, sizeof (Dynamic::ParameterList) )
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ContextList ( CORBA::tk_alias, sizeof (_oc_Dynamic_ContextList), (char *) &_oc_Dynamic_ContextList, 0, sizeof (Dynamic::ContextList) )
CORBA::TypeCode | _tc_TAO_tc_Dynamic_TypeCode ( CORBA::tk_alias, sizeof (_oc_Dynamic_TypeCode), (char *) &_oc_Dynamic_TypeCode, 0, sizeof (Dynamic::TypeCode) )
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ExceptionList ( CORBA::tk_alias, sizeof (_oc_Dynamic_ExceptionList), (char *) &_oc_Dynamic_ExceptionList, 0, sizeof (Dynamic::ExceptionList) )
CORBA::TypeCode | _tc_TAO_tc_Dynamic_RequestContext ( CORBA::tk_alias, sizeof (_oc_Dynamic_RequestContext), (char *) &_oc_Dynamic_RequestContext, 0, sizeof (Dynamic::RequestContext) )
void | operator<<= (CORBA::Any &_tao_any, Dynamic::Parameter *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::Parameter *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::Parameter *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const Dynamic::ParameterList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, Dynamic::ParameterList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::ParameterList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::ParameterList *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const Dynamic::ExceptionList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, Dynamic::ExceptionList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::ExceptionList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::ExceptionList *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const Dynamic::ParameterList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, Dynamic::ParameterList &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const Dynamic::ExceptionList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, Dynamic::ExceptionList &_tao_sequence )
## Variables
const CORBA::Long | _oc_Dynamic_Parameter []
const CORBA::Long | _oc_Dynamic_ParameterList []
const CORBA::Long | _oc_Dynamic_ExceptionList []

## Define Documentation

#define _DYNAMIC_EXCEPTIONLIST_CS_

#define _DYNAMIC_PARAMETERLIST_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMIC_EXCEPTIONLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMIC_PARAMETERLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_Dynamic_ContextList ( | CORBA::tk_alias,
| sizeof(_oc_Dynamic_ContextList),
| (char *)& _oc_Dynamic_ContextList,
| 0,
| sizeof(Dynamic::ContextList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_ExceptionList ( | CORBA::tk_alias,
| sizeof(_oc_Dynamic_ExceptionList),
| (char *)& _oc_Dynamic_ExceptionList,
| 0,
| sizeof(Dynamic::ExceptionList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_Parameter ( | CORBA::tk_struct,
| sizeof(_oc_Dynamic_Parameter),
| (char *)& _oc_Dynamic_Parameter,
| 0,
| sizeof(Dynamic::Parameter) )`[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_ParameterList ( | CORBA::tk_alias,
| sizeof(_oc_Dynamic_ParameterList),
| (char *)& _oc_Dynamic_ParameterList,
| 0,
| sizeof(Dynamic::ParameterList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_RequestContext ( | CORBA::tk_alias,
| sizeof(_oc_Dynamic_RequestContext),
| (char *)& _oc_Dynamic_RequestContext,
| 0,
| sizeof(Dynamic::RequestContext) )`[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_TypeCode ( | CORBA::tk_alias,
| sizeof(_oc_Dynamic_TypeCode),
| (char *)& _oc_Dynamic_TypeCode,
| 0,
| sizeof(Dynamic::TypeCode) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const Dynamic::ExceptionList & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const Dynamic::ParameterList & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| Dynamic::ExceptionList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const Dynamic::ExceptionList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| Dynamic::ParameterList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const Dynamic::ParameterList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| Dynamic::Parameter * _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| Dynamic::ExceptionList & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| Dynamic::ParameterList & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const Dynamic::ExceptionList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| Dynamic::ExceptionList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const Dynamic::ParameterList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| Dynamic::ParameterList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const Dynamic::Parameter *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| Dynamic::Parameter *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_Dynamic_ExceptionList[]`[static]`

const CORBA::Long _oc_Dynamic_Parameter[]`[static]`

const CORBA::Long _oc_Dynamic_ParameterList[]`[static]`